### Virtual Method

# Camel CipherContext verify_sync

#### Declaration [src]

    CamelCipherValidity*
    verify_sync (
      CamelCipherContext* context,
      CamelMimePart* ipart,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Verifies the signature.

#### Parameters

`ipart`

  Type: `CamelMimePart`

  The `CamelMimePart` to verify.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `CamelCipherValidity`

A `CamelCipherValidity` structure containing information about the integrity of the input stream, or `NULL` on failure to execute at all.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.